var ctx;
ctx = -666;
     if (rand(1, 500) == 1) ctx = oJetpack;
else if (/*global.bizarre and*/ rand(1, 600) == 1) ctx = oTeleporter2;
else if (rand(1, 200) == 1) ctx = oCapePickup;
else if (rand(1, 100) == 1) ctx = oShotgun;
else if (rand(1, 100) == 1 /*&& not global.isTunnelMan*/) ctx = oMattock;
else if (rand(1, 100) == 1) ctx = oTeleporter;
else if (rand(1, 90) == 1) ctx = oGloves;
else if (rand(1, 90) == 1) ctx = oSpectacles;
else if (rand(1, 80) == 1) ctx = oWebCannon;
else if (rand(1, 80) == 1) ctx = oPistol;
else if (rand(1, 80) == 1) ctx = oMitt;
else if (rand(1, 60) == 1) ctx = oPaste;
else if (rand(1, 60) == 1) ctx = oSpringShoes;
else if (rand(1, 60) == 1) ctx = oSpikeShoes;
else if (rand(1, 60) == 1) ctx = oMachete;
else if (/*global.bizarre &&*/ rand(1, 300) == 1) ctx = oJordans;
else if (rand(1, 120) == 1) ctx = oBasketball;
else if (rand(1, 40) == 1) ctx = oBombBox;
else if (rand(1, 40) == 1) ctx = oBow;
else if (rand(1, 20) == 1) ctx = oCompass;
else if (rand(1, 10) == 1) ctx = oParaPickup;
else if (/*global.optSGAmmo &&*/ rand(1, 5) == 1) ctx = oShells;
else if (rand(1, 2) == 1) ctx = oRopePile;
//else if (global.bizarre and global.bizarrePlus) ctx = oBombBox; // bizarre mode new game +
else ctx = oBombBag;
return ctx;
